Subject: Re: bug#55826: guix pull fails on local channel

From: Kjartan Oli Agustsson <[email-masked]>
Date: Tue, 07 Jun 2022 22:10:34 +0000

Tobias Geerinckx-Rice <[email-masked]> writes:

>> If I delete the git repository and re-initialize it the pull is
>> successful, but once I commit any changes to this new repository the
>> problem re-appears.
>
> It must be some specific change/file, not any change.

I just re-initialized the git repo, and changed the channel introduction
to use the initial commit on the new repo.  A 'guix pull' ran just fine.
Then I committed a change that added a single newline at the end of a
file, the error came back.

> A quick and dirty
>
>  ~/guix-custom$ guix repl -L. <each/scheme/file/in/turn.scm
>
> might be enough: Guile will print all kinds of things to ignore, but
> if you see the same error about searching for ), you'll know that the
> problem is in that file.

I tried this, the only output I got was:
;;; note: source file ./kjartan/packages/emacs.scm
;;;       newer than compiled /gnu/store/bgnnzx7qsiy22yggh3a0q4i0932n6hl7-kjartan/lib/guile/3.0/site-ccache/kjartan/packages/emacs.go

> But really…
>
>> Does anyone have any clues as to what could be
>> wrong, or how I could go about debugging this?
>
> …use an editor (like emacs, but other fine and graphical editors are
> available) that balances or at least highlights brackets. Manually
> counting them is madness and not how anybody writes Lisps in real
> life.

I am well aware of this, everything I have written in every file of the
channel has been written in Emacs, which does not report any unmatched
'(' anywhere in either of the two files I currently have.

-- 
Kjartan Óli Ágústsson

GPG Key fingerprint: 4801 0D71 49C0 1DD6 E5FD  6AC9 D757 2FE3 605E E6B0